/// <reference types="react" />
import * as React from 'react';
import { ILayerProps } from './Layer.types';
import { BaseComponent } from '../../Utilities';
export declare class PortalLayerBase extends BaseComponent<ILayerProps, {}> {
    static defaultProps: ILayerProps;
    private _host;
    private _layerElement;
    private _rootElement;
    constructor(props: ILayerProps);
    componentWillMount(): void;
    componentWillUpdate(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    render(): React.ReactNode;
    private _getClassNames();
    private _setVirtualParent();
    private _getLayerElement();
    private _removeLayerElement();
    private _getHost();
}
